Subject: Re: [PATCH 00/10] netdev: get rid of read_lock(&dev_base_lock) usages

From: Eric Dumazet <[email-masked]>
Date: Tue, 10 Nov 2009 19:39:20 +0100

Stephen Hemminger a écrit :
> I was just trying to pick up the stragglers you left behind :-)
> 
> The nasty cases left are bonding (whose existing locking model is a pile
> of crap), and sysfs (slightly less stinky). The bonding code just needs to
> be rewritten to have a sane/simple model. 
> 

I was thinking of improving bonding, so it might be good to coordinate our work :)

1) Get rid of rwlock in tx fast path. (RCU ? did I said RCU)

2) multi queue support (Got two dual 82599 dual ports cards from Intel :) )